﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace _328456_TreeViewStyle
{
	public class MyStyleSelector : StyleSelector
	{
		public Style DefaultStyle { get; set; }
		public Style AlternateStyle { get; set; }

		public override Style SelectStyle(object item, DependencyObject container)
		{
			if ((item as DataItem).ShowVerticalLine)
				return DefaultStyle;
			else
				return AlternateStyle;
		}
	}
}
